FC2:Recent update via yum breaks libxml2 using programs, including yum

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Greetings all;

Last night I reinstalled yum-2.0.7 again, then added to the exclude=
statements in my yum.conf, anything that caused a clash and die failure.
Most of the excludes are for stuff that I've either built from
tarballs, or in one case, pango*, because it was looking for obsolete
XFree86 stuff that has never existed on an FC2 system.

Here is that yum.conf:
-------
[main]
cachedir=/var/cache/yum
debuglevel=2
logfile=/var/log/yum.log
pkgpolicy=newest
distroverpkg=redhat-release
tolerant=1
exactarch=1
obsoletes=1
retries=20

#[base]
#name=Fedora Core $releasever - $basearch - Base
#baseurl=http://mirror.linux.duke.edu/pub/fedora/linux/core/$releasever/$basearch/os/
#exclude=kernel* kde* xorg* cups* gimp-print* pango* gimp* gtk2*

[updates-released]
name=Fedora Core $releasever - $basearch - Released Updates
baseurl=http://mirror.linux.duke.edu/pub/fedora/linux/core/updates/$releasever/$basearch/
exclude=kernel* kde* xorg* cups* gimp-print* pango* gimp* gtk2*

[updates-testing]
name=Fedora Core $releasever - $basearch - Unreleased Updates
baseurl=http://mirror.linux.duke.edu/pub/fedora/linux/core/updates/testing/$releasever/$basearch/
exclude=kernel* kde* xorg* cups* gimp-print* pango* gimp* gtk2*

#[development]
#name=Fedora Core $releasever - Development Tree
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/development/$basearch/
#exclude kernel*
--------------------
kernel* is excluded because I'm currently running yesterdays -bk7 snapshot.
kde* because I've always built kde with konstruct, and I don't
have 95% of the problems I see being reported on their mailing lists.
cups* because I've always built it, gimp-print etc locally.
Ditto for the gimp, and gtk2 was added last night because of
another dependency failure.

Then I ran a 'yum check-updates'yum and it didn't fail.

So I ran it for real, and it downloaded and installed the following rpms.
--------------------
Server: Fedora Core 2 - i386 - Released Updates
Server: Fedora Core 2 - i386 - Unreleased Updates
Finding updated packages
Downloading needed headers
Resolving dependencies
Dependencies resolved
I will do the following:
[update: ruby-docs 1.8.1-6.i386]
[update: cyrus-sasl-gssapi 2.1.18-2.2.i386]
[update: cyrus-sasl-md5 2.1.18-2.2.i386]
[update: nscd 2.3.3-27.1.i386]
[update: dovecot 0.99.10.6-1,FC2,1.i386]
[update: tzdata 2004e-1.fc2.noarch]
[update: gaim 1:1.0.2-0.FC2.i386]
[update: ruby-devel 1.8.1-6.i386]
[update: glibc-utils 2.3.3-27.1.i386]
[update: xpdf 1:3.00-3.4.i386]
[update: pcmcia-cs 3.2.7-1.8.2.1.i386]
[update: glibc 2.3.3-27.1.i686]
[update: libtiff-devel 3.5.7-20.2.i386]
[update: redhat-artwork 0.96-2.i386]
[update: glibc-devel 2.3.3-27.1.i386]
[update: system-config-users 1.2.25-0.fc2.1.noarch]
[update: glibc-headers 2.3.3-27.1.i386]
[update: ruby-libs 1.8.1-6.i386]
[update: libxml2 2.6.15-2.i386]
[update: glibc-common 2.3.3-27.1.i386]
[update: libxml2-python 2.6.15-2.i386]
[update: libuser 0.52.5-0.FC2.1.i386]
[update: w3m 0.5.1-3.1.i386]
[update: wget 1.9.1-16.fc2.i386]
[update: glibc-profile 2.3.3-27.1.i386]
[update: cyrus-sasl-devel 2.1.18-2.2.i386]
[update: glib2 2.4.7-1.1.i386]
[update: squid 7:2.5.STABLE5-4.fc2.2.i386]
[update: ruby-tcltk 1.8.1-6.i386]
[update: ruby 1.8.1-6.i386]
[update: libxml2-devel 2.6.15-2.i386]
[update: libuser-devel 0.52.5-0.FC2.1.i386]
[update: cyrus-sasl-plain 2.1.18-2.2.i386]
[update: irb 1.8.1-6.i386]
[update: glib2-devel 2.4.7-1.1.i386]
[update: libtiff 3.5.7-20.2.i386]
[update: cyrus-sasl 2.1.18-2.2.i386]
-----------------

which includes some libxml2 stuff.

Now, yum, and any other libxml2 using program are now broken,
returning this when an attempt to run them is made:
-----------
[[email protected] root]# yum update
Traceback (most recent call last):
  File "/usr/bin/yum", line 22, in ?
    import yummain
  File "/usr/share/yum/yummain.py", line 31, in ?
    import yumcomps
  File "/usr/share/yum/yumcomps.py", line 4, in ?
    import comps
  File "/usr/share/yum/comps.py", line 5, in ?
    import libxml2
  File "/usr/lib/python2.3/site-packages/libxml2.py", line 1, in ?
    import libxml2mod
ImportError: /usr/lib/python2.3/site-packages/libxml2mod.so: undefined symbol: xmlNewDocPI
------------------
So I go look in /usr/lib/python2.3/site-packages and find these:
----------
[[email protected] site-packages]# ls -l |grep libxml
-rw-r--r--   1 root root    15061 Oct 27 17:18 drv_libxml2.py
-rw-r--r--   1 root root   347678 Oct 27 17:18 libxml2mod.a
-rwxr-xr-x   1 root root      911 Oct 27 17:18 libxml2mod.la
-rwxr-xr-x   1 root root   263088 Oct 27 17:18 libxml2mod.so
-rw-r--r--   1 root root   308578 Oct 27 17:18 libxml2.py
-rw-r--r--   1 root root   525102 Oct 29 02:49 libxml2.pyc
----------
so its all from this update.
then:
-------------
[[email protected] site-packages]# python
Python 2.3.3 (#1, May  7 2004, 10:31:40)
[GCC 3.3.3 20040412 (Red Hat Linux 3.3.3-7)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import libxml2
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "/usr/lib/python2.3/site-packages/libxml2.py", line 1, in ?
    import libxml2mod
ImportError: ./libxml2mod.so: undefined symbol: xmlNewDocPI
>>> bye
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
>>> exit
'Use Ctrl-D (i.e. EOF) to exit.'
>>>
[[email protected] site-packages]# 
----------------
Same error.
And from /var/cache/yum:
--------------
[[email protected] yum]# ls -lR|grep libxml
-rw-r--r--  1 root root   3094 Oct 29 01:24 libxml2-0-2.6.15-2.i386.hdr
-rw-r--r--  1 root root  14158 Oct 29 01:25 libxml2-devel-0-2.6.15-2.i386.hdr
-rw-r--r--  1 root root   4429 Oct 29 01:25 libxml2-python-0-2.6.15-2.i386.hdr
-rw-r--r--  1 root root  640309 Oct 29 02:35 libxml2-2.6.15-2.i386.rpm
-rw-r--r--  1 root root 2628977 Oct 29 02:42 libxml2-devel-2.6.15-2.i386.rpm
-rw-r--r--  1 root root  445078 Oct 29 02:39 libxml2-python-2.6.15-2.i386.rpm
-------------
Other than the FC2 cd's there is no older version of libxml2 here.

So now the 64K$ question is how do I go about fixing this?
                            
-- 
Cheers, Gene
"There are four boxes to be used in defense of liberty:
 soap, ballot, jury, and ammo. Please use in that order."
-Ed Howdershelt (Author)
99.28% setiathome rank, not too shabby for a WV hillbilly
Yahoo.com attorneys please note, additions to this message
by Gene Heskett are:
Copyright 2004 by Maurice Eugene Heskett, all rights reserved.


[Index of Archives]     [Current Fedora Users]     [Fedora Desktop]     [Fedora SELinux]     [Yosemite News]     [Yosemite Photos]     [KDE Users]     [Fedora Tools]     [Fedora Docs]

  Powered by Linux